# PrepareScalarPaths | @coopenomics/sdk
Documentation for @coopenomics/sdk

# Function PrepareScalarPaths

- PrepareScalarPaths(__namedParameters): ((k, originalKey, o, p?, pOriginals?, root?) => undefined | {
  [x: string]: `scalar.${string}`;
  })

- #### Parameters

  - __namedParameters: {
    ops: Operations ;
    returns: ReturnTypesType ;
    }

    - ##### ops: Operations

    - ##### returns: ReturnTypesType

  #### Returns ((k, originalKey, o, p?, pOriginals?, root?) => undefined | {
  [x: string]: `scalar.${string}`;
  })

  - - (k, originalKey, o, p?, pOriginals?, root?): undefined | {
      [x: string]: `scalar.${string}`;
      }

    - #### Parameters

      - k: string
      - originalKey: string
      - o: VType
      - p: string[] = []
      - pOriginals: string[] = []
      - root: boolean = true

      #### Returns undefined | {
      [x: string]: `scalar.${string}`;
      }

  - Defined in components/sdk/src/zeus/index.ts:505